<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Mikko Linko - Project Management</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
        }

        header {
            background-color: #333;
            color: #fff;
            padding: 10px;
            text-align: center;
        }

        p {
            width: 500px;
        }

        img {
            width: 500px;
        }

        nav {
            background-color: #eee;
            display: flex;
            justify-content: space-around;
            align-items: center;
            height: 50px;
        }

        nav a {
            text-decoration: none;
            color: #333;
            font-weight: bold;
        }

        nav a.selected {
            color: #ff0000; /* Change to the desired color */
        }

        section {
            display: flex;
            padding: 20px;
        }

        ul {
            list-style-type: none;
            padding: 0;
            margin-right: 10px;
            width: 100px;
        }

        ul li {
            margin-bottom: 10px;
        }

        div {
            flex: 1;
            margin-left: 100px
        }

        div h2{
            margin-top: 100px; /* Adjust the margin as needed */
        }
    </style>
</head>
<body>

<header>
    <h1>Mikko Linko - Digital Fabrication</h1>
    <nav>
        <a href="index.html">Weekly Assignements</a>
        <a href="final_project.html">Final Project</a>
        <a href="about_me.html">About Me</a>
        <a href="project_management.html"class="selected">Project Management</a>
        <a href="previous_projects.html">Previous Projects</a>
    </nav>
</header>

<section>
    <ul>
        <li><a></a></li>
        <li><a></a></li>
        <!-- Add more weeks as needed -->
    </ul>

    <div>
        <h2>Week 3 - Project Management</h2>
        <p>I started setting my repository for better project management by adding an SSH key to my
            computer and account, while the <a href="https://docs.gitlab.com/ee/user/ssh.html">tutorial</a>
            is pretty good at explaining the process, the lack of screenshots to elaborate certain
            parts is pretty frustrating.
            
            I already had Git Bash installed on my computer and I had used Git in a limited capacity 
            before, so most of this wasn't completely new to me, but I am in no way comfortable or
            familiar with everything. Generating the keys as described by the tutorial was not
            bad at all, but adding the key to my GitLab account was really
            confusing. As the tutorial describes:"On the left sidebar, select your avatar.", it
            fails to point out that the "avatar" as set by default is just some random circle
            and in no way recognizable as an avatar, a simple screeenshot to point that out would
            have saved multiple minutes.
        </p>
        <img src="Images/avatar_example.jpg" alt="avatar_example">
        <p>After that the process was pretty straight forward.
        </p>
        <p>Copying my repository to a local folder was done by using the command git clone,
            which worked without any issues.
        </p>
        <p>After setting up my repository I stareted to look into the images I had previously
            used on my project website. I had not made any attempts at managing the images
            quality or filesize outside of the sketches for the final project.
        </p>
        <img src="Images/file_sizes.jpg" alt="file_sizes">
        <p>The file sizes are pretty much all over the place as you can see, and the file 
            names are not particularily descriptive.
        </p>
        <p>I used paint.net to do compress the files.
        </p>
        <img src="Images/compression_example.jpg" alt="compression_example">
        <p>
        </p>
        <img src="Images/compressed_files_example.jpg" alt="compressed_files_example">
        <p>this is how the file sizes looked after the compression, the only file that I did not compress
            was a gif, that was already "deepfried" and I need to figure out if there is anything
            I can do about it. I have also realized that my website layout is starting to get
            very disorganized and sub-optimal, and I need to update it at some point.
        </p>
          
    </div>
</section>

</body>
</html>
